commit: 510474327c2ab9b61ddf6b6946caa40dabb2f52c
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 08:06:55 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 22 08:09:25 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51047432
net-analyzer/httping: sync live
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-analyzer/httping/httping-2.5.ebuild | 2 ++
net-analyzer/httping/httping-9999999.ebuild | 21 +++++++++++++--------
2 files changed, 15 insertions(+), 8 deletions(-)
diff --git a/net-analyzer/httping/httping-2.5.ebuild
b/net-analyzer/httping/httping-2.5.ebuild
index 70c43b0cd87..bef7c95c9fd 100644
--- a/net-analyzer/httping/httping-2.5.ebuild
+++ b/net-analyzer/httping/httping-2.5.ebuild
@@ -52,6 +52,8 @@ src_configure() {
if use ncurses ; then
local ncurses_flags="$($(tc-getPKG_CONFIG) --libs ncurses)"
+ # Don't require ncurses with unicode support
+ # bug #731950
sed -i -e "s/-lncursesw/${ncurses_flags}/" Makefile || die
append-ldflags "${ncurses_flags}"
fi
diff --git a/net-analyzer/httping/httping-9999999.ebuild
b/net-analyzer/httping/httping-9999999.ebuild
index 32a92c0aead..b9faaaf1fed 100644
--- a/net-analyzer/httping/httping-9999999.ebuild
+++ b/net-analyzer/httping/httping-9999999.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit git-r3 toolchain-funcs
+
+inherit git-r3 toolchain-funcs flag-o-matic
DESCRIPTION="like ping but for HTTP requests"
HOMEPAGE="https://www.vanheusden.com/httping/"
@@ -10,7 +11,6 @@ EGIT_REPO_URI="https://github.com/flok99/httping"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS=""
IUSE="debug fftw libressl l10n_nl ncurses ssl +tfo"
RDEPEND="
@@ -21,10 +21,8 @@ RDEPEND="
libressl? ( dev-libs/libressl:0= )
)
"
-DEPEND="
- ${RDEPEND}
- ncurses? ( virtual/pkgconfig )
-"
+DEPEND="${RDEPEND}"
+BDEPEND="ncurses? ( virtual/pkgconfig )"
# This would bring in test? ( dev-util/cppcheck ) but unlike
# upstream we should only care about compile/run time testing
@@ -49,7 +47,14 @@ src_configure() {
# not an autotools script
echo > makefile.inc || die
- use ncurses && LDFLAGS+=" $( $( tc-getPKG_CONFIG ) --libs ncurses )"
+ if use ncurses ; then
+ local ncurses_flags="$($(tc-getPKG_CONFIG) --libs ncurses)"
+
+ # Don't require ncurses with unicode support
+ # bug #731950
+ sed -i -e "s/-lncursesw/${ncurses_flags}/" Makefile || die
+ append-ldflags "${ncurses_flags}"
+ fi
}
src_compile() {